## org.eclipse.emf.codegen.jet
Class JETException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.emf.common.util.DiagnosticException
                  org.eclipse.emf.codegen.jet.JETException

All Implemented Interfaces:
  java.io.Serializable

    public class JETException

extends DiagnosticException

Base class for all exceptions generated by the JET engine. Makes it convenient to catch just this at the top-level.

See Also:
  Serialized Form

Constructor Summary
`JETException(java.lang.String reason)`
`JETException(java.lang.String reason, java.lang.Throwable exception)` Creates a JETException with the embedded exception and the reason for throwing a JETException.
`JETException(java.lang.Throwable exception)` Creates a JETException with the embedded exception.

Method Summary
`protected static java.lang.String` `getMessage(java.lang.Throwable exception)`
`IStatus` `getStatus()`

Methods inherited from class org.eclipse.emf.common.util.DiagnosticException
`getDiagnostic, toCoreException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JETException

    public JETException(java.lang.String reason)

### JETException

    public JETException(java.lang.String reason,
                        java.lang.Throwable exception)

  Creates a JETException with the embedded exception and the reason for throwing a JETException.

### JETException

    public JETException(java.lang.Throwable exception)

  Creates a JETException with the embedded exception.

Method Detail

### getStatus

    public IStatus getStatus()

### getMessage

    protected static java.lang.String getMessage(java.lang.Throwable exception)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.